# Calendar API . colors

## Instance Methods

Returns the color definitions for calendars and events.

### Method Details

`get()`

    Returns the color definitions for calendars and events.

    Args:

    Returns:
      An object of the form:

        {
        "calendar": { # A global palette of calendar colors, mapping from the color ID to its definition. A calendarListEntry resource refers to one of these color IDs in its color field. Read-only.
          "a_key": { # A calendar color defintion.
            "foreground": "A String", # The foreground color that can be used to write on top of a background with 'background' color.
            "background": "A String", # The background color associated with this color definition.
          },
        },
        "updated": "A String", # Last modification time of the color palette (as a RFC3339 timestamp). Read-only.
        "event": { # A global palette of event colors, mapping from the color ID to its definition. An event resource may refer to one of these color IDs in its color field. Read-only.
          "a_key": { # An event color definition.
            "foreground": "A String", # The foreground color that can be used to write on top of a background with 'background' color.
            "background": "A String", # The background color associated with this color definition.
          },
        },
        "kind": "calendar#colors", # Type of the resource ("calendar#colors").
      }